gRPC C#
gRPC C#
Namespaces
Grpc.Core
AsyncClientStreamingCall(TRequest, TResponse) Class
AsyncDuplexStreamingCall(TRequest, TResponse) Class
AsyncServerStreamingCall(TResponse) Class
AsyncUnaryCall(TResponse) Class
CallInvocationDetails(TRequest, TResponse) Structure
CallOptions Structure
Calls Class
Channel Class
ChannelOption Class
ChannelOption.OptionType Enumeration
ChannelOptions Class
ChannelState Enumeration
ClientBase Class
ClientStreamingServerMethod(TRequest, TResponse) Delegate
CompressionLevel Enumeration
ContextPropagationOptions Class
ContextPropagationToken Class
Credentials Class
DuplexStreamingServerMethod(TRequest, TResponse) Delegate
GrpcEnvironment Class
HeaderInterceptor Delegate
IAsyncStreamReader(T) Interface
IAsyncStreamWriter(T) Interface
IClientStreamWriter(T) Interface
IHasWriteOptions Interface
IMethod Interface
IServerStreamWriter(T) Interface
KeyCertificatePair Class
Marshaller(T) Class
Marshallers Class
Metadata Class
Metadata.Entry Structure
Method(TRequest, TResponse) Class
MethodType Enumeration
RpcException Class
Server Class
Server.ServerPortCollection Class
Server.ServiceDefinitionCollection Class
ServerCallContext Class
ServerCredentials Class
ServerPort Class
ServerServiceDefinition Class
ServerServiceDefinition.Builder Class
ServerStreamingServerMethod(TRequest, TResponse) Delegate
SslCredentials Class
SslServerCredentials Class
Status Structure
StatusCode Enumeration
UnaryServerMethod(TRequest, TResponse) Delegate
VersionInfo Class
WriteFlags Enumeration
WriteOptions Class

HeaderInterceptor Delegate

Interceptor for call headers.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public delegate void HeaderInterceptor(
    	IMethod method,
    	string authUri,
    	Metadata metadata
    )

    Public Delegate Sub HeaderInterceptor (
    	method As IMethod,
    	authUri As String,
    	metadata As Metadata
    )

    public delegate void HeaderInterceptor(
    	IMethod^ method,
    	String^ authUri,
    	Metadata^ metadata
    )

    type HeaderInterceptor =
        delegate of
            method : IMethod *
            authUri : string *
            metadata : Metadata -> unit

#### Parameters

method
  Type: Grpc.Core
  IMethod
authUri
  Type: System
  String
metadata
  Type: Grpc.Core
  Metadata

See Also

#### Reference

Grpc.Core Namespace